{% extends 'base.html' %}
{% load static %}
{% load static i18n %}
{% load translations %}
{% block title %} {% translate 'Book' %} {% endblock title %}
{% block links %}
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.css">
    <link rel="stylesheet" href="https://unpkg.com/js-datepicker/dist/datepicker.min.css">
    <link rel="stylesheet" href="{% static 'app/css/select2.css' %}"/>
{% endblock links %}


{% block content %}
{% get_current_language as LANGUAGE_CODE %}
<body class="haveSlider book book3 haveSelect book-admin">
	<!-- <section class="transformed transformed2ver"> -->
	<section>
        {% if promotional_service %}
            {% include 'service_app/layouts/promotial_service.html' %}
        {% endif %}

		<div class="widthWrapper mainContent">
			<h1 class="title">{% translate 'BOOK' %}</h1>
				<p>{% translate 'Your Treatment' %}</p>
			<ul id="anchorToTheDatepicker" class="generalSteps">
				<li data-index="0"  class="active finished"><span class="digit">1</span><p>{% translate 'SELECT A DATE' %}</p></li>
				<li data-index="1" ><span class="digit">2</span><p>{% translate 'YOUR TREATMENT' %}</p></li>
				<li data-index="2" ><span class="digit">3</span><p>{% translate 'SELECT A TIME' %}</p></li>
				<li data-index="3" ><span class="digit">4</span><p>{% translate 'GUEST DATA' %}</p></li>
			</ul>
			<div class="mainContent--change">
				

				<section class="sections section0 widthWrapper visible">
					{% include 'service_app/layouts/calendar.html' %}
				</section>

				<section class="sections section2 third-step widthWrapper">
					<div class="bookTreatment">
						<ul class="cardsList hotelList slider3">
                            {% for service in service_to_hotel %}
							<li data-li-id="{{service.id}}" class="cardsList__item hotelList__item">
								<span class="borderDiv"></span>
                                {% if service.service.img %}
								<div class="learnMore" style="background: url({{ service.service.img.url }}) center center/cover no-repeat">
									<span>Learn More</span>
								</div>
                                {% else %}
                                    <div class="learnMore" style="background: url({% static 'app/images/src/ultimate2.jpg' %}) center center/cover no-repeat">
									    <span>Learn More</span>
								    </div>
                                {% endif %}
								<div class="cardText">
									<h3>{{ service.service|get_title:LANGUAGE_CODE }}</h3>
									<p>{{ service.service|get_short_desc:LANGUAGE_CODE }}</p>
                                    <h4 data-price="{{ service.price }}" class="price">{{ service.price }}Fr</h4>
                                    <p>{{ service.minutes }} min.</p>
                                    <p>+{{ service.hotel.percent_for_special_time }}% extra charge for custom time</p>
									<input hidden data-id="{{service.id}}" value='{{service.minutes}}' />
								</div>
							</li>
						    {% endfor %}
                        </ul>
					</div>
					<div class="checkbox-section checkbox__form">
						<p>{% translate 'You can add the following to your treatment:' %}</p>
						<div></div>
					</div>
					<a href="#" index="2" id="calculateButton" class="button noHover next next2 disabled">{% translate 'NEXT' %}</a>
				</section>

				<section id="datepicker" class="sections section1 widthWrapper busy">
					<!-- <h2>{% translate 'There are no available hours. Please select another date or treatment.' %}</h2> -->
					<div class="timepicker__navigation">
						<div class="timepicker__prev">
							<img src="{% static 'app/images/src/prev__arrow.svg' %}" alt="">
							Prev
						</div>
						<p class="timepicker__now">

						</p>
						<div class="timepicker__next">

							Next
							<img src="{% static 'app/images/src/next__arrow.svg' %}" alt="">
						</div>
					</div>
					<div class="timeline">
						<div class="timeline__picker">
							<div class="timeline__picker-close">
								<img src="{% static 'app/images/src/close_tp.svg' %}" alt="">
							</div>
							<h3>Choose custom time</h3>
							<div class="timeline__picker-container">
								<select class="timeline__picker-hour">
									<option data-type="hour" value="hour">06</option>
									<option data-type="hour" value="hour">07</option>
									<option data-type="hour" value="hour">08</option>
									<option data-type="hour" value="hour">09</option>
									<option data-type="hour" value="hour">10</option>
									<option data-type="hour" value="hour">11</option>
									<option data-type="hour" value="hour">12</option>
									<option data-type="hour" value="hour">13</option>
									<option data-type="hour" value="hour">15</option>
									<option data-type="hour" value="hour">16</option>
									<option data-type="hour" value="hour">17</option>
									<option data-type="hour" value="hour">18</option>
									<option data-type="hour" value="hour">19</option>
									<option data-type="hour" value="hour">20</option>
									<option data-type="hour" value="hour">21</option>
									<option data-type="hour" value="hour">22</option>
									<option data-type="hour" value="hour">23</option>
									<option data-type="hour" value="hour">00</option>
									<option data-type="hour" value="hour">01</option>
									<option data-type="hour" value="hour">02</option>
									<option data-type="hour" value="hour">03</option>
									<option data-type="hour" value="hour">04</option>
									<option data-type="hour" value="hour">05</option>
								</select>
								
								<select class="timeline__picker-minute">
									<option data-type="minute" value="minute">00</option>
									<option data-type="minute" value="minute">05</option>
									<option data-type="minute" value="minute">10</option>
									<option data-type="minute" value="minute">15</option>
									<option data-type="minute" value="minute">20</option>
									<option data-type="minute" value="minute">25</option>
									<option data-type="minute" value="minute">30</option>
									<option data-type="minute" value="minute">35</option>
									<option data-type="minute" value="minute">40</option>
									<option data-type="minute" value="minute">45</option>
									<option data-type="minute" value="minute">50</option>
									<option data-type="minute" value="minute">55</option>
								</select>
								<!-- <select class="">
									<option value="" data-display-text="AM">None</option>
									<option value="apples">PM</option>
								  </select> -->
							  </div>
							  <p>Night surcharge of 50% of the treatment price and only on request</p>
						</div>
						<div class="timeline__header">
							<div class="timeline__header-custom">
								Custom time
							</div>
							<div class="timeline__header-periods">
								<p>0</p>
								<p>5</p>
								<p>10</p>
								<p>15</p>
								<p>20</p>
								<p>25</p>
								<p>30</p>
								<p>35</p>
								<p>40</p>
								<p>45</p>
								<p>50</p>
								<p>55</p>
							</div>
						</div>
						<div class="timeline__container">
							<div class="loader" style="display: none">
								<img src="{% static 'app/images/src/loader.gif' %}" alt="">
							</div>
							<div class="timeline__hours">

							</div>
							<div class="timeline__snake">
								
							</div>
						</div>
						<div class="timeline__variants">
							<div class="timeline__variant check">
								<div>

								</div>
								<p>Check</p>
							</div>
							<div class="timeline__variant free">
								<div>

								</div>
								<p>Free</p>
							</div>
							<div class="timeline__variant unavaible">
								<div>

								</div>
								<p>Not avaible</p>
							</div>
							<div class="timeline__variant conflict">
								<div>

								</div>
								<p>Conflict</p>
							</div>
						</div>
					</div>
					<!-- {% include 'service_app/layouts/timepiker.html' %} -->
					<a href="#" index="3" id="goToCheckout" class="button noHover next next3 disabled">{% translate 'NEXT' %}</a>
				</section>



				<section class="sections section3 widthWrapper">
					{% include 'service_app/layouts/guest_data_for_booking.html' %}
				</section>

				<section class="sections section4 widthWrapper">
					<h1>{% translate 'Reservation Completed' %}d</h1>
					<p>{% translate 'Awaiting confirmation by email' %}</p>
					<img src="{% static 'app/images/src/logo.svg' %}" alt="">
				</section>
			</div>
		</div>

    {% if service_to_hotel %}
		<div class="videoGalleryContainer">
			<div class="widthWrapper videoPart">
                {% for service in service_to_hotel %}
                    <div class="videoPart__text {% if service == service_to_hotel.first %}active{% endif %}">
                        <span class="videoPart__text--pre">{% translate 'Service' %}</span>
                        <h2 class="title">{{ service.service|get_title:LANGUAGE_CODE }}</h2>
                        <p>{{ service.service|get_description:LANGUAGE_CODE }}</p>
						<a class="button" data-fancybox href="https://www.youtube.com/watch?v=_sI_Ps7JSEk">
							{% translate 'PLAY VIDEO' %}
						</a>
                    </div>
                {% endfor %}
				<div class="videoPart__video">
                    {% for service in service_to_hotel %}
                        {% if service.service.img %}
					        <img src="{{ service.service.img.url }}" {% if service == service_to_hotel.first %}class="active"{% endif %} alt="">
                        {% else %}
                            <img src="{% static 'app/images/src/videoTest2.jpg' %}" {% if service == service_to_hotel.first %}class="active"{% endif %} alt="">
                        {% endif %}
                    {% endfor %}
					<!-- <video class="mainVideo">
					 		<source src="images/video/iselin.mp4">
				 	</video> -->
				</div>
				<ul class="videoPart__gallery">
                    {% for service in service_to_hotel %}
                        <li data-index="0">
                        {% if service.service.img %}
                            <img src="{{ service.service.img.url }}" alt="">
                            <!-- <video>
                                <source src="images/video/iselin.mp4">
                            </video> -->
                        {% else %}
                            <img src="{% static 'app/images/src/videoTest2.jpg' %}" alt="">
                        {% endif %}
                             <p>{{ service.service|get_short_desc:LANGUAGE_CODE }}</p>
                        </li>
                    {% endfor %}
				</ul>
			</div>
		</div>


        <div class="bottomText widthWrapper">
            {% with service_to_hotel.first as service %}
			<h1 class="title">{{ service.hotel|get_title:LANGUAGE_CODE }}</h1>
			<p>{{ service.hotel|get_description:LANGUAGE_CODE }}</p>
{#			<a href="#" class="button">VIEW MEMBERSHIP BROCHURE</a>#}
            {% endwith %}
		</div>
    {% endif %}
	</section>

{% endblock content %}
{% block scripts %}
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.js"></script>
	<script>var gettedSuperData = {userRole: {% if user_type.is_therapist %}'therapist'{%elif user_type.is_administrator%}'hotel_admin'{% elif user_type.is_superuser %}'superuser'{%endif%}, userId: {{user_type.user.id}}, hotelID: {{service_to_hotel.first.hotel_id}}, perсent: {{ service_to_hotel.first.hotel.percent_for_special_time }}}
			var csrf = '{{csrf_token}}'
	</script>
{% endblock scripts %}
